{ stdenv, lib, fetchurl }:

stdenv.mkDerivation rec {
  pname = "keycloak-protocol-cas";
  version = "18.0.0";

  src = fetchurl {
    url = "https://github.com/jacekkow/keycloak-protocol-cas/releases/download/${version}/keycloak-protocol-cas-${version}.jar";
    sha256 = "sha256-N+IJqD7oQ4T4MI8klt96kfHwFnPJy5l8MK6bq62nBrM=";
  };

  dontUnpack = true;
  dontBuild = true;

  installPhase = ''
    mkdir -p $out
    install "$src" "$out"
  '';

  meta = with lib; {
    homepage = "https://github.com/jacekkow/keycloak-protocol-cas";
    description = "Keycloak Service Provider that adds CAS as an authentication protocol";
    license = licenses.apsl20;
    maintainers = with maintainers; [ raitobezarius ];
  };
}
